//------------------------------------------------------------------------------
// Copyright (c) 1999-2001 Matt Welsh.  All Rights Reserved.
//------------------------------------------------------------------------------
package com.mattwelsh.appframework.ui;
import javax.swing.*;
import java.awt.*;

/**
 * This class exercises the AutoCompleteTextField
 * @author Matt Welsh (matt@matt-welsh.com)
 */
public class UnitTest extends JFrame {

  public UnitTest() {
    //!MFW - Make the application end when the window is closed
    super.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);

    // Set the layout to Border
    this.getContentPane().setLayout(new BorderLayout());

    // Create a dictionary to use for the text field
    AutoCompleteDictionary dict = initDictionary();

    // Create an AutoCompleteTextField that uses the dictionary
    AutoCompleteTextField textField = new AutoCompleteTextField(dict);

    // Add the text field to the layout
    this.getContentPane().add(textField, BorderLayout.CENTER);

    // Pack the frame down
    this.pack();

    // Show it onscreen
    this.show();
  }

  /**
   * Create a DefaultDictionary with a few entries (swing package names for
   * this example).
   *
   * @return An instance of AutoCompleteDictionary
   */
  private AutoCompleteDictionary initDictionary() {
    DefaultDictionary d = new DefaultDictionary();
    d.addEntry("java.awt");
    d.addEntry("java.util");
    d.addEntry("java.lang");
    d.addEntry("java.io");
    d.addEntry("javax.swing");
    d.addEntry("javax.imageio");
    d.addEntry("javax.sql");
    return d;
  }

  /**
   * Entry point to the application.
   */
  public static void main(String[] args) {
    UnitTest unittest = new UnitTest();
  }


}
